Bug 815120 - [abrt] gnome-shell-3.4.1-2.fc17: Process /usr/bin/gnome-shell was killed by signal 11 (SIGSEGV)
[abrt] gnome-shell-3.4.1-2.fc17: Process /usr/bin/gnome-shell was killed by s...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
abrt_hash:450faea9531d933711d5a9d53da...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-22 12:40 EDT by Matthew Garrett
Modified: 2013-07-31 13:43 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 13:43:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (49.79 KB, text/plain)
2012-04-22 12:41 EDT, Matthew Garrett
no flags Details
File: maps (90.22 KB, text/plain)
2012-04-22 12:41 EDT, Matthew Garrett
no flags Details
File: dso_list (22.32 KB, text/plain)
2012-04-22 12:41 EDT, Matthew Garrett
no flags Details

  None (edit)
Description Matthew Garrett 2012-04-22 12:40:57 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        gnome-shell
crash_function: brw_update_renderbuffer_surface
executable:     /usr/bin/gnome-shell
kernel:         3.3.2-1.fc17.x86_64
pid:            14248
pwd:            /home/mjg59
remote_result:  769344
time:           Sun 22 Apr 2012 12:06:53 PM EDT
uid:            1000
username:       mjg59
xsession_errors: 

backtrace:      Text file, 50984 bytes
dso_list:       Text file, 22858 bytes
maps:           Text file, 92388 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/mjg59/24

core_backtrace:
:230e24b5c7953a79a065b24f5fa2334c2881cbea 0x7cf00 - i965_dri.so -
:230e24b5c7953a79a065b24f5fa2334c2881cbea 0x7cab0 - i965_dri.so -
:230e24b5c7953a79a065b24f5fa2334c2881cbea 0x66d80 - i965_dri.so -
:230e24b5c7953a79a065b24f5fa2334c2881cbea 0x54857 - i965_dri.so -
:230e24b5c7953a79a065b24f5fa2334c2881cbea 0x178ae3 - i965_dri.so -
:9361d261c61d204de4ca0d9440ed5b8535ad4975 0x571c6 - libcogl.so.9 -
:9361d261c61d204de4ca0d9440ed5b8535ad4975 0x56cdc - libcogl.so.9 -
:9361d261c61d204de4ca0d9440ed5b8535ad4975 0x568f6 - libcogl.so.9 -
:9361d261c61d204de4ca0d9440ed5b8535ad4975 0x580f9 - libcogl.so.9 -
:9361d261c61d204de4ca0d9440ed5b8535ad4975 0x5aaff cogl_framebuffer_clear4f libcogl.so.9 -
:4f09a1c333512ba104ac3f9d23f09595aca4969f 0x9e7bd - libclutter-1.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x20450 - libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:4f09a1c333512ba104ac3f9d23f09595aca4969f 0x4136d clutter_actor_continue_paint libclutter-1.0.so.0 -
:4f09a1c333512ba104ac3f9d23f09595aca4969f 0x50313 - libclutter-1.0.so.0 -
:4f09a1c333512ba104ac3f9d23f09595aca4969f 0xa26d9 - libclutter-1.0.so.0 -
:4f09a1c333512ba104ac3f9d23f09595aca4969f 0x395fa - libclutter-1.0.so.0 -
:4f09a1c333512ba104ac3f9d23f09595aca4969f 0xa1353 - libclutter-1.0.so.0 -
:4f09a1c333512ba104ac3f9d23f09595aca4969f 0x8772d - libclutter-1.0.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x475cc g_main_context_dispatch libglib-2.0.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x479e8 - libglib-2.0.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x47de2 g_main_loop_run libglib-2.0.so.0 -
:a58bc8f82bf6c84e5784afcdd9a52cabd54718d9 0x54177 meta_run libmutter.so.0 -
:5ac255600d9a044d66e32df4935540d939a63030 0x1c37 main [exe] -

environ:
:DISPLAY=:0
:XDG_VTNR=2
:XDG_SESSION_ID=24
:HOSTNAME=x220
:TERM=linux
:SHELL=/bin/bash
:HISTSIZE=1000
:USER=mjg59
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.html=00;33:*.wpd=00;33:
:MAIL=/var/spool/mail/mjg59
:PATH=/usr/local/bin:/bin:/usr/bin:/usr/local/sbin:/usr/sbin:/home/mjg59/bin:/home/mjg59/Source/android/sdk/tools
:PWD=/home/mjg59
:LANG=en_US.UTF-8
:HISTCONTROL=ignoredups
:SHLVL=1
:XDG_SEAT=seat0
:HOME=/home/mjg59
:LOGNAME=mjg59
:CVS_RSH=ssh
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:XDG_RUNTIME_DIR=/run/user/mjg59
:_=/bin/gnome-shell

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 30584                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       30584                30584                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/tty2
:pos:	0
:flags:	0100002
:1:/dev/tty2
:pos:	0
:flags:	0100002
:2:/dev/tty2
:pos:	0
:flags:	0100002
:3:pipe:[587017]
:pos:	0
:flags:	04000
:4:pipe:[587017]
:pos:	0
:flags:	01
:5:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:6:socket:[587018]
:pos:	0
:flags:	02004002
:7:/dev/dri/card0
:pos:	0
:flags:	0100002
:8:socket:[586199]
:pos:	0
:flags:	02004002
:9:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:10:socket:[588151]
:pos:	0
:flags:	02004002
:11:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:12:socket:[586216]
:pos:	0
:flags:	02004002
:13:pipe:[588152]
:pos:	0
:flags:	02004000
:14:pipe:[588152]
:pos:	0
:flags:	02004001
:15:socket:[588156]
:pos:	0
:flags:	02004002
:16:pipe:[585010]
:pos:	0
:flags:	02004000
:17:pipe:[585010]
:pos:	0
:flags:	02004001
:18:socket:[588159]
:pos:	0
:flags:	02004002
:19:/home/mjg59/.cache/event-sound-cache.tdb.50e37ca4aa8f6274bcbe394300000011.x86_64-redhat-linux-gnu
:pos:	168
:flags:	02100002
:20:/dev/urandom
:pos:	0
:flags:	02100000
:21:anon_inode:inotify
:pos:	0
:flags:	02004000
:22:/tmp/ffifey9t5 (deleted)
:pos:	0
:flags:	0100002
:23:socket:[586210]
:pos:	0
:flags:	02004002
:24:/proc/14248/mounts
:pos:	0
:flags:	0100000
:25:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:26:/dev/rfkill
:pos:	0
:flags:	0104002
:27:socket:[585032]
:pos:	0
:flags:	02004002

var_log_messages:
:Apr 22 12:06:52 x220 dbus-daemon[678]: dbus[678]: [system] Rejected send message, 2 matched rules; type="method_call", sender=":1.173" (uid=1000 pid=14248 comm="gnome-shell ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.20" (uid=0 pid=1063 comm="/usr/sbin/console-kit-daemon --no-daemon ")
:Apr 22 12:06:52 x220 dbus[678]: [system] Rejected send message, 2 matched rules; type="method_call", sender=":1.173" (uid=1000 pid=14248 comm="gnome-shell ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.20" (uid=0 pid=1063 comm="/usr/sbin/console-kit-daemon --no-daemon ")
:Apr 22 12:06:53 x220 kernel: [72232.729762] gnome-shell[14248]: segfault at 218 ip 00007effb9225f00 sp 00007fffc7bb4910 error 4 in i965_dri.so[7effb91a9000+3f4000]
:Apr 22 12:06:53 x220 abrt[14277]: Saved core dump of pid 14248 (/usr/bin/gnome-shell) to /var/spool/abrt/ccpp-2012-04-22-12:06:53-14248 (149794816 bytes)
Comment 1 Matthew Garrett 2012-04-22 12:41:01 EDT
Created attachment 579320 [details]
File: backtrace
Comment 2 Matthew Garrett 2012-04-22 12:41:03 EDT
Created attachment 579321 [details]
File: maps
Comment 3 Matthew Garrett 2012-04-22 12:41:05 EDT
Created attachment 579322 [details]
File: dso_list
Comment 4 Owen Taylor 2012-04-23 13:22:36 EDT
Crash inside the Mesa i965 driver. Seems unlikely to be directly caused by a Cogl bug.
Comment 5 fred 2012-09-22 20:48:01 EDT
truing to start and play a game, dustforce, that i bought on humblebundle.com

backtrace_rating: 4
Package: gnome-shell-3.4.1-5.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 6 Jesse Kahtava 2012-10-03 10:24:41 EDT
Not sure what caused this problem...

backtrace_rating: 4
Package: gnome-shell-3.4.1-5.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 8 Fedora End Of Life 2013-07-03 15:21:21 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2013-07-31 13:43:28 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.